Bug 1794395 - ibutils-1.5.7-31.fc31 FTBFS with gcc 10: /usr/bin/ld: .libs/ibis.o:(.bss+0x0): multiple definition of `IbisObj'
Summary: ibutils-1.5.7-31.fc31 FTBFS with gcc 10: /usr/bin/ld: .libs/ibis.o:(.bss+0x0)...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibutils
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jon Stanley
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-23 13:41 UTC by Jitka Plesnikova
Modified: 2020-03-06 14:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-06 14:43:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Jitka Plesnikova 2020-01-23 13:41:57 UTC
ibutils-1.5.7-31.fc31 fails to build in F32: 

libtool: link: gcc -shared  -fPIC -DPIC  .libs/ibis_wrap.o .libs/ibbbm.o .libs/ibcr.o .libs/ibis.o .libs/ibis_gsi_mad_ctrl.o .libs/ibpm.o .libs/ibsac.o .libs/ibsm.o .libs/ibvs.o .libs/ibcc.o   -L/usr/lib64 -lopensm -losmvendor -losmcomp -libumad -ltcl8.6 -ldl -lz -lpthread -lm -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -O2 -O2 -g -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -Wl,-rpath -Wl,/usr/lib64 -Wl,-z -Wl,relro -Wl,--as-needed -Wl,-z -Wl,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld   -Wl,-soname -Wl,libibis.so.1 -o .libs/libibis.so.1.0.0
/usr/bin/ld: .libs/ibis.o:(.bss+0x0): multiple definition of `IbisObj'; .libs/ibis_wrap.o:(.bss+0x440): first defined here
collect2: error: ld returned 1 exit status

A difference between passing and failing build root is at 
https://koschei.fedoraproject.org/build/7744253
This is probably triggered with an upgrade of gcc from 9.2.1-1.fc32.3 to 10.0.1-0.3.fc32.

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/ibutils

Comment 1 Ben Cotton 2020-02-11 17:27:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:32:36 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Fedora Release Engineering 2020-03-01 04:24:31 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Honggang LI 2020-03-03 02:37:12 UTC
ibutils was provided by Mellanox. Mellanox had abandoned ibutils. ibutils also
had been deleted from rhel-8.

As a redhat co-maintainer of ibutils, I suggest to retire ibutils for Fedora.

Comment 5 Than Ngo 2020-03-06 14:43:05 UTC
it's fixed in ibutils-1.5.7-33


Note You need to log in before you can comment on or make changes to this bug.